<div style="margin-top: 20px;">
	<h5>
		<span>BAST - Off The Road</span>
	</h5>

	<div class="fieldset-legend">
		<p-accordion class="filter-accordion">
			<p-accordionTab header="Filter" [selected]="true">
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<label class="form-control-label" for="field_">Tanggal BAST</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
								<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_">Tanggal Terima Faktur</label>
						<div class="row">
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
							<div class="col-md-6">
								<div class="input-group input-calendar">
									<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-6"> 
					<div class="form-group">
						<label class="form-control-label" for="field_salesman">Sales</label>
						<select class="form-control" id="field_salesman" name="salesman">
							<option [ngValue]="null"></option>
							<option [ngValue]="salesmanOption.idSalesman" *ngFor="let salesmanOption of salesmans; trackBy: trackSalesmanById">{{salesmanOption.partyName}}</option>
						</select>
					</div>
					<div class="form-group">
						<label class="form-control-label" for="field_statusType">Status</label>
						<select class="form-control" id="field_statusType" name="statusType">
							<option [ngValue]="null"></option>
							<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
						</select>
					</div>
				</div>
			</div>
			<div class="btn-filter-wrapper">
				<button type="button" class="btn btn-primary btn-filter">
					<span>Filter</span>
				</button>
			</div>
			</p-accordionTab>
		</p-accordion>
	</div>

	<p-dataTable
		[value]="unitDeliverables"
		[editable]="true"
		[rows]="itemsPerPage"
		[paginator]="true"
		[pageLinks]="5"
		[rowsPerPageOptions]="[10,15,20]"
		[totalRecords]="totalItems"
		[responsive]="true"
		[lazy]="true"
		dataKey="idDeliverable"
		expandableRows="false"
		(onLazyLoad)="loadDataLazy($event)"
		(onEditComplete)="updateRowData($event)"
		[(selection)]="selected">
		<p-header>
			<div class="row"></div>
		</p-header>
	<p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
		<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
		<p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
			<ng-template let-rowIndex="rowIndex" pTemplate="body">
				{{rowIndex + 1}}
			</ng-template>
		</p-column>
		<p-column header="No. BAST">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.bastNumber}}
			</ng-template>
		</p-column>
		<p-column header="Tgl. BAST">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.dateDelivery | date:'dd-MM-yyyy'}}
			</ng-template>
		</p-column>
		<p-column header="No. Rangka">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicleDocumentRequirement.vehicle.idFrame}}
			</ng-template>
		</p-column>
		<p-column header="No. Mesin">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicleDocumentRequirement.vehicle.idMachine}}
			</ng-template>
		</p-column>
		<p-column header="No. Faktur">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicleDocumentRequirement.fakturATPM}}
			</ng-template>
		</p-column>
		<p-column header="Tgl Terima Faktur">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicleDocumentRequirement.fakturDate | date:'dd-MM-yyyy'}}
			</ng-template>
		</p-column>
		<p-column header="Nama STNK">
			<ng-template let-rowData="rowData" pTemplate="body">
				<div *ngIf="rowData.vehicleDocumentRequirement.personOwner != null">
						{{rowData.vehicleDocumentRequirement.personOwner.name}}
				</div>

				<div *ngIf="rowData.vehicleDocumentRequirement.organizationOwner != null">
						{{rowData.vehicleDocumentRequirement.organizationOwner.name}}
				</div>
			</ng-template>
		</p-column>

		<p-column header="Sales">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.salesName}}
			</ng-template>
		</p-column>
		<!-- <p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				 <a [routerLink]="['../data-transaksi/detail/'+ rowData.idRequirement]">Detail</a>
				<a (click)="showDetail()">Cetak Bast</a>
			</ng-template>
		</p-column> -->
		<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
		</ng-template>
	</p-dataTable>
	<div class="btn-filter-wrapper pull-right">
		<button (click)="showDetailMulti()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
			<span>Cetak Bast</span>
		</button>
</div>
</div>
</div>
<div style="margin-top: 10px;"></div>



<p-dialog header="Diserahkan Ke" [(visible)]="detailModal" modal="true" [width]="700">
	<div class="row">
		<div class="col-sm-12">
			<div class="form-group">
				<label for="id">Nama Penerima</label>
				<input type="text" class="form-control" name="name" id="field_name" [(ngModel)]="unitDeliverable.name" required />
			</div>
			<div class="form-group">
				<label for="id">No Ktp</label>
				<input type="text" class="form-control" name="identitynumber" id="field_identitynumber" [(ngModel)]="unitDeliverable.identityNumber" required />
			</div>
			<button class="btn btn-primary pull-right" (click)="doPrint()">Print Bast</button>
		</div>
	</div>
</p-dialog>


<!-- 
<p-confirmDialog></p-confirmDialog> -->